<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.ekp.mapper.EkpBankCodeSetMapper">

  <resultMap id="ekpBankCodeSetMap" type="com.yifu.cloud.plus.v1.ekp.entity.EkpBankCodeSet">
    <id property="fdId" column="fd_id"/>
    <result property="fdPayeeAccount" column="fd_payee_account"/>
    <result property="fdRecipientBank" column="fd_recipient_bank"/>
    <result property="fdRecipientBankCode" column="fd_recipient_bank_code"/>
  </resultMap>
    <sql id="Base_Column_List">
		a.fd_id,
		a.fd_payee_account,
		a.fd_recipient_bank,
		a.fd_recipient_bank_code
    </sql>

	<select id="getCodeSetByCardNo" resultMap="ekpBankCodeSetMap" >
		select
			<include refid="Base_Column_List"/>
		from ekp_bank_code_set a
		where a.fd_payee_account = #{cardNo} limit 1
	</select>
</mapper>
